using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace TaxiTelphoni
{
    public partial class frmRanandegan : Form
    {
        public frmRanandegan()
        {
            InitializeComponent();
        }

        private void frmRanandegan_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'txdb1001DataSet3.MachineNoow' table. You can move, or remove it, as needed.
            this.machineNoowTableAdapter.Fill(this.txdb1001DataSet3.MachineNoow);
            // TODO: This line of code loads data into the 'txdb1001DataSet2.RanandehGan' table. You can move, or remove it, as needed.
            this.ranandehGanTableAdapter.Fill(this.txdb1001DataSet2.RanandehGan);
            labPos();
        }

        protected void labPos()
        {
            this.label4.Text = this.ranandehGanBindingSource.Position + 1 + " از " + this.ranandehGanBindingSource.Count;
        }

        private void btnLast_Click(object sender, EventArgs e)
        {
            this.ranandehGanBindingSource.MoveLast();
            labPos();
        }

        private void btmNext_Click(object sender, EventArgs e)
        {
            if (this.ranandehGanBindingSource.Position + 1 < this.ranandehGanBindingSource.Count)
            {
                this.ranandehGanBindingSource.MoveNext();
                labPos();
            }
        }

        private void btnPrevoiuse_Click(object sender, EventArgs e)
        {
            this.ranandehGanBindingSource.MovePrevious();
            labPos();
        }

        private void btnFirst_Click(object sender, EventArgs e)
        {
            this.ranandehGanBindingSource.MoveFirst();
            labPos();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.ranandehGanBindingSource.AddNew();
            button1.Enabled = false;
            button4.Enabled = true;
            btnCancel.Enabled = true;
            labPos();
            MessageBox.Show("لطفا مقادیر مورد نظر را وارد فرمائید");
        }

        private void button4_Click(object sender, EventArgs e)
        {
            if (textBox2.Text == "" || textBox4.Text == "" || textBox9.Text == "")
            {
                MessageBox.Show("فیلدهای نام راننده ، شماره تلفن تماس و شماره پلاک باید وارد شوند");
            }
            else
            {
                this.ranandehGanTableAdapter.Insert(textBox2.Text.Trim(), textBox4.Text.Trim(), int.Parse(comboBox1.SelectedValue.ToString()), textBox9.Text.Trim());
                button4.Enabled = false;
                button1.Enabled = true;
                btnCancel.Enabled = false;
                dataGridView1.Refresh();
                labPos();
                MessageBox.Show("رکورد مورد نظر ذخیره گردید");
                labPos();
            }
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.ranandehGanBindingSource.CancelEdit();
            button4.Enabled = false;
            button1.Enabled = true;
            btnCancel.Enabled = false;
            labPos();
        }

        private void btnUpdate_Click(object sender, EventArgs e)
        {
            if (textBox2.Text != "" || textBox4.Text != "" || textBox9.Text != "")
            {
                this.ranandehGanTableAdapter.Update(txdb1001DataSet2.RanandehGan);
                dataGridView1.Refresh();
                labPos();
            }
            else
            {
                MessageBox.Show("فیلدهای نام راننده ، شماره تلفن تماس و شماره پلاک باید وارد شوند");
            }
        }

        private void btnDelete_Click(object sender, EventArgs e)
        {
            if (textBox1.Text != "" )
            {
                this.ranandehGanTableAdapter.Delete(int.Parse(textBox1.Text.Trim()));
                this.ranandehGanTableAdapter.Fill(txdb1001DataSet2.RanandehGan);
                labPos();
                MessageBox.Show("راننده مورد نظر حذف شد");
            }
            else
            {
                MessageBox.Show("کد راننده وارد نشده است");
            }
        }

        private void btnRefresh_Click(object sender, EventArgs e)
        {
            this.ranandehGanTableAdapter.Fill(txdb1001DataSet2.RanandehGan);
            labPos();
        }

        private void btnSearch_Click(object sender, EventArgs e)
        {
            if (textBox3.Text != "")
            {
                this.ranandehGanTableAdapter.FillBy(txdb1001DataSet2.RanandehGan , "%" + textBox3.Text.Trim() + "%");
                labPos();
            }
            else
            {
                MessageBox.Show("نام  و یا بخشی از نام مشتری  در فیلد زرد رنگ وارد نشده است");
            }
        }

    }
}